function [rays]=com_get_rays(tracepro,surface) 
% COM_GET_RAYS: Demonstration function to run a raytrace in TracePro Run
% and return the number of incident rays for surface using COM.

% Execute a raytrace
tracepro.ExecuteSchemeString('(raytrace:source)');

% Get the number of incident rays
cmd = ['(raytrace:get-total-rays (entity:get-by-name "', surface, '") )']; 
[ ~, return_str ] = tracepro.ExecuteSchemeString(cmd);

% The return value from the command is returned as a string and needs
% to be converted to a number.
rays = str2num(return_str);

