function [ExampleFolder]=com_openexample(tracepro)
%COM_OPENEXAMPLE Open RGB_3LEDs.oml and read properties
%
% TODO: Change ExampleFolder to the folder that you have downloaded
% RGB_3LEDs.oml and RGB_3LEDs_Properties.txt
ExampleFolder='C:/TracePro/Website/TracePro_Tools/Operational_Tools/MATLAB/';

% Use ExecuteSchemeString to open model
ExampleOml= 'RGB_3LEDs.oml';
cmd = ['(file:open "', ExampleFolder, ExampleOml, '")'];
tracepro.ExecuteSchemeString(cmd);

% Use ExecuteSchemeString to read properties
PropertiesForOml='RGB_3LEDs_Properties.txt';
cmd = ['(tools:database-import "', ExampleFolder, PropertiesForOml, '" #f)'];
tracepro.ExecuteSchemeString(cmd);

